import { Injectable } from '@angular/core';

import * as OPTIONS from '../config.model';
import { CoreService } from '../../pages/core/coreService';
import { AppConfig } from '../app.config';

@Injectable()
export class ConfigSettingsService {

  // configurations
  private apiOptions: OPTIONS.IAPIOptions;

  constructor(private coreService: CoreService, private config: AppConfig) {
      const APIURL = config.getConfig('host');
      this.apiOptions = {
           load: APIURL + 'api/configuration/load_settings'
      };
  }

  getApiOptions() {
    return this.apiOptions;
  }

}
