import { Injectable } from '@angular/core';


@Injectable()
export class CoreService {

  // configurations

  constructor() {}

   showMessage(alert: string, message: string, heading: string) {
       return ''; // removed this functionality
   }

   getSettingsNavList() {
       return [ { id: 7, title: 'Categories', css: '', url: '/settings/categories', icon: 'icon-droplet' },
            { id: 8, title: 'Tags', css: '', url: '/settings/tags', icon: 'icon-droplet' },
            { id: 8, title: 'Configurations', css: '', url: '/settings/configurations', icon: 'icon-droplet' },
            { id: 0, title: 'Advertisement', css: '', url: '/settings/advertisements', icon: 'icon-droplet' },
            { id: 1, title: 'Block IP', css: '', url: '/settings/blockip', icon: 'icon-shutter' },
            { id: 2, title: 'Dictionary', css: '', url: '/settings/dictionary', icon: 'icon-book' },
            { id: 3, title: 'Language', css: '', url: '/settings/language', icon: 'icon-books' },
            { id: 4, title: 'Log', css: '', url: '/settings/log', icon: 'icon-file-empty' },
            { id: 5, title: 'Mail Templates', css: '', url: '/settings/mailtemplates', icon: 'icon-mailbox' },
            { id: 6, title: 'Roles', css: '', url: '/settings/roles', icon: 'icon-cash3' },
            { id: 6, title: 'Packages', css: '', url: '/settings/packages', icon: 'icon-cash3' }];
   }
   getConfigsNavList() {
    return [ { id: 7, title: 'General', css: '', url: '/settings/configurations/filter/0', icon: '' },
             { id: 8, title: 'Features', css: '', url: '/settings/configurations/filter/1', icon: '' },
             { id: 8, title: 'Media', css: '', url: '/settings/configurations/filter/2', icon: '' },
             { id: 8, title: 'Movies', css: '', url: '/settings/configurations/filter/11', icon: '' },
             { id: 1, title: 'Social', css: '', url: '/settings/configurations/filter/4', icon: '' },
             { id: 3, title: 'Player', css: '', url: '/settings/configurations/filter/6', icon: '' },
             { id: 4, title: 'Multi Login', css: '', url: '/settings/configurations/filter/7', icon: '' },
             { id: 5, title: 'Youtube API', css: '', url: '/settings/configurations/filter/9', icon: '' },
             { id: 5, title: 'Listings', css: '', url: '/settings/configurations/filter/10', icon: '' },
             { id: 5, title: 'Contact', css: '', url: '/settings/configurations/filter/8', icon: '' }];
   }

   getPaginationSettings() {
       return {
        title: 'Page Size',
        ismultiple: true,
        icon: '',
        Options: [
        { id: '0', title: '10', value: 10, isclick: true, clickevent: 'pagesize', tooltip: 'Load 10 records per page' },
        { id: '1', title: '20', value: 20, isclick: true, clickevent: 'pagesize', tooltip: 'Load 20 records per page' },
        { id: '3', title: '50', value: 50, isclick: true, clickevent: 'pagesize', tooltip: 'Load 50 records per page' },
        { id: '5', title: '100', value: 100, isclick: true, clickevent: 'pagesize', tooltip: 'Load 100 records per page' }]
     };
   }
}
