import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { LoginComponent } from './login.component';
import { PartialModule } from '../../partials/shared.module';

const routes: Routes = [{
        path: '',
        data: {
        title: 'Dashboard',
        urls: [
            // {title: 'Dashboard', url: '/'},
            {title: 'jMedia Dashboard Application'}]
        },
        component: LoginComponent
}];

@NgModule({
    imports: [
        FormsModule,
        CommonModule,
        PartialModule,
        RouterModule.forChild(routes)
    ],
    declarations: [
        LoginComponent
    ]
})
export class LoginModule { }
