export interface ICategoriesState {
    posts: any;
    dropdown_categories: any;
    records: number;
    loading: boolean;
    error: any;
    pagination: any;
    filteroptions: any;
    selectall: boolean;
    itemsselected: boolean;
    isloaded: boolean;
}

export const IPagination = {
    currentPage: 1,
    totalRecords: 0,
    pageSize: 40,
    showFirst: 1,
    showLast: 1,
    paginationstyle: 0,
    totalLinks: 7,
    prevCss: '',
    nextCss: '',
    urlpath: ''
};

export const IFilterOption = {
    id: 0,
    type: 0, // load videos by default
    mode: 0,
    status: 2,
    parentid: -1,
    order: 'level', // don't change this
    direction: 'asc', // don't change this
    term: '', // search term
    pagesize: 20, // default page size
    pagenumber: 1, // current page number
    isSummary: false, // load all data,
    track_filter: false // just to keep track whether find record or any filter option changed or called on page
  };
