import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';
import { SettingsDashboardComponent } from './dashboard.component';
import { PartialModule } from '../../../partials/shared.module';


@NgModule({
  imports: [
    CommonModule,
    PartialModule,
    FormsModule,
    RouterModule
  ],
  declarations: [
    SettingsDashboardComponent
  ],
  exports: [
    SettingsDashboardComponent
  ],
  providers: []
})
export class DashboardModule { }
