export interface IPackageState {
    posts: any;
    records: number;
    loading: boolean;
    error: any;
    pagination: any;
    filteroptions: any;
    selectall: boolean;
    itemsselected: boolean;
    isloaded: boolean;
}

export const IPagination = {
    currentPage: 1,
    totalRecords: 0,
    pageSize: 40,
    showFirst: 1,
    showLast: 1,
    paginationstyle: 0,
    totalLinks: 7,
    prevCss: '',
    nextCss: '',
    urlpath: ''
};

export const IFilterOption = {
    imageid: 0,
    username: '',
    isapproved: 2,
    isdisabled: 2,
    iswall: 2,
    editorchoice: 2,
    galleryid: 0,
    privacy: 3,
    isadult: 2,
    tags: '',
    categories: '',
    categories_arr: [],
    order: 'imageid',
    direction: 'desc',
    term: '', // search term
    pagesize: 16, // default page size
    pagenumber: 1, // current page number
    datefilter: 0,
    isSummary: true,
    ispublic: false,
    nofilter: false,
    loadstats: true,
    track_filter: false // just to keep track whether find record or any filter option changed or called on page
  };
