import { IClickActions } from '../navigation/navigation.model';

export interface IToolbarOptions {
    showtoolbar: boolean;
    direction?: string;
    left_caption?: string;
    right_caption?: string;
    left_options: IToolbarOption[];
    right_options: IToolbarOption[];
}

export interface IToolbarOption {
    title: string;
    position: string;
    ismultiple: boolean;
    selected: boolean;
    icon: string;
    options: IClickActions[];
}
