import { Component, Input, Output, OnInit, EventEmitter } from '@angular/core';
@Component({
  selector: 'app-display-video',
  templateUrl: './video.html',
  providers: [ ]
})
export class DisplayVideoComponent implements OnInit {

  @Input() videos: any = [];
  @Output() onRemove = new EventEmitter<any>();
  constructor() {  }

  ngOnInit() { }

  remove(obj, index, event) {
      if (index > -1) {
        this.videos.splice(index, 1);
        this.onRemove.emit({ files: this.videos, removedItems: obj });
      }
      event.stopPropagation();
  }
}
