import { Routes } from '@angular/router';
import { JMediaLazyGuard } from './j-media-guard.guard';

export const appRoutes: Routes = [
  {
    path: '',
    loadChildren: './pages/dashboard/dashboard.module#DashboardModule'
  },
  {
    path: 'login',
    loadChildren: './pages/login/login.module#LoginModule'
  },
  {
    path: 'users',
    canActivate: [JMediaLazyGuard],
    loadChildren: './pages/users/module#UserModule'
  },
  
  {
    path: 'settings',
    canActivate: [JMediaLazyGuard],
    loadChildren: './pages/settings/settings.module#SettingsModule',
  },
  {
    path: 'users',
    canActivate: [JMediaLazyGuard],
    loadChildren: './pages/users/module#UserModule',
  },
  {
    path: 'videos',
    canActivate: [JMediaLazyGuard],
    loadChildren: './pages/videos/videos.module#VideosModule',
  },
];
