import { Injectable } from '@angular/core';
import { Http } from '@angular/http';
import 'rxjs/add/operator/toPromise';

import { Auth } from '../../models/shared/Auth';

@Injectable()
export class AuthService {

  //  private headers = new Headers({'Content-Type': 'application/json'});
  private signInUrl = 'http://localhost:4147/api/user/authenticate';

  constructor(private http: Http) { }
  getAuthenticated() {
      return this.http.post(this.signInUrl, JSON.stringify({username: 'test', password: 'test'}));
      // Redux way
      /*this.ngRedux.dispatch({ type: 'FETCH_TODOS_REQUEST' });
      this.http.post(this.signInUrl, JSON.stringify({username: 'test', password: 'test'})).subscribe(auth => {
         // non redux way
         //this.auth = auth.json();
         // redux way
         this.ngRedux.dispatch({ type: 'FETCH_TODOS_SUCCESS', todos: todos.json() })
      }, err => {
        this.ngRedux.dispatch({ type: 'FETCH_TODOS_ERROR' })
      });*/
  }
}
  /*
   Promise version
  getAuthenticated(): Promise<Auth> {
    return this.http.post(this.signInUrl, JSON.stringify({username: 'test', password: 'test'}))
            .toPromise()
            .then(this.handleAuthenticatedResponse)
            .catch(this.handleError);
  }*/

/*  isAuthenticated() {

  }

  private handleAuthenticatedResponse(response: any): Promise<Auth> {
    console.log('Response Received');
    let res: Promise<Auth> = JSON.parse(response._body);

    console.log(res);
    return res;
  }

  private handleError(error: any): Promise<any> {
    console.error('An error occurred', error);
    return Promise.reject(error.message || error);
  }
  /*getHeroes(): Promise<Hero[]> {
    return Promise.resolve(HEROES);
  }

  // See the "Take it slow" appendix
  getHeroesSlowly(): Promise<Hero[]> {
    return new Promise(resolve => {
      // Simulate server latency with 2 second delay
      setTimeout(() => resolve(this.getHeroes()), 2000);
    });
  }*/
// }
