﻿using System.Web.Mvc;

namespace JgnEnt.Areas.account
{
    public class accountAreaRegistration : AreaRegistration 
    {
        public override string AreaName 
        {
            get 
            {
                return "account";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context) 
        {
            #region My Account context
            context.MapRoute(
               null,
               "account/qa/editans/{aid}/{qid}",
               new { controller = "qa", action = "editans" },
               new[] { "JgnEnt.Areas.account.Controllers" }
           );

            context.MapRoute(
               null,
               "account/blogs/liked/{id}",
               new { controller = "blogs", action = "liked" },
               new[] { "JgnEnt.Areas.account.Controllers" }
            );

            context.MapRoute(
                null,
                "account/albums/liked/{id}",
                new { controller = "albums", action = "liked" },
                new[] { "JgnEnt.Areas.account.Controllers" }
             );
            context.MapRoute(
               null,
               "account/albums/favorites/{id}",
               new { controller = "albums", action = "favorites" },
               new[] { "JgnEnt.Areas.account.Controllers" }
            );

            context.MapRoute(
                null,
                "account/audio/liked/{id}",
                new { controller = "audio", action = "liked" },
                new[] { "JgnEnt.Areas.account.Controllers" }
             );
            context.MapRoute(
               null,
               "account/audio/favorites/{id}",
               new { controller = "audio", action = "favorites" },
               new[] { "JgnEnt.Areas.account.Controllers" }
            );

            context.MapRoute(
                null,
                "account/videos/liked/{id}",
                new { controller = "videos", action = "liked" },
                new[] { "JgnEnt.Areas.account.Controllers" }
             );
            context.MapRoute(
               null,
               "account/videos/favorites/{id}",
               new { controller = "videos", action = "favorites" },
               new[] { "JgnEnt.Areas.account.Controllers" }
            );

            context.MapRoute(
                null,
                "account/photos/liked/{id}",
                new { controller = "photos", action = "liked" },
                new[] { "JgnEnt.Areas.account.Controllers" }
             );
            context.MapRoute(
               null,
               "account/photos/favorites/{id}",
               new { controller = "photos", action = "favorites" },
               new[] { "JgnEnt.Areas.account.Controllers" }
            );

            context.MapRoute(
              null,
              "account/groups/own/{id}",
              new { controller = "groups", action = "own" },
              new[] { "JgnEnt.Areas.account.Controllers" }
            );
            context.MapRoute(
            null,
            "account/groups/manageUserBLL/{id}",
            new { controller = "groups", action = "manageUserBLL" },
            new[] { "JgnEnt.Areas.account.Controllers" }
            );
            context.MapRoute(
              null,
              "account/groups/manageUserBLL/{id}/{pid}",
              new { controller = "groups", action = "manageUserBLL" },
              new[] { "JgnEnt.Areas.account.Controllers" }
            );
            context.MapRoute(
            null,
            "account/groups/managevideos/{id}",
            new { controller = "groups", action = "managevideos" },
            new[] { "JgnEnt.Areas.account.Controllers" }
            );
            context.MapRoute(
             null,
             "account/groups/managevideos/{id}/{pid}",
             new { controller = "groups", action = "managevideos" },
             new[] { "JgnEnt.Areas.account.Controllers" }
           );
            context.MapRoute(
            null,
            "account/groups/managephotos/{id}",
            new { controller = "groups", action = "managephotos" },
            new[] { "JgnEnt.Areas.account.Controllers" }
            );
            context.MapRoute(
            null,
            "account/groups/managephotos/{id}/{pid}",
            new { controller = "groups", action = "managephotos" },
            new[] { "JgnEnt.Areas.account.Controllers" }
          );
            context.MapRoute(
            null,
            "account/groups/manageqa/{id}",
            new { controller = "groups", action = "manageqa" },
            new[] { "JgnEnt.Areas.account.Controllers" }
            );
            context.MapRoute(
          null,
          "account/groups/manageqa/{id}/{pid}",
          new { controller = "groups", action = "manageqa" },
          new[] { "JgnEnt.Areas.account.Controllers" }
        );
            context.MapRoute(
            null,
            "account/groups/managetopics/{id}",
            new { controller = "groups", action = "managetopics" },
            new[] { "JgnEnt.Areas.account.Controllers" }
            );
            context.MapRoute(
      null,
      "account/groups/managetopics/{id}/{pid}",
      new { controller = "groups", action = "managetopics" },
      new[] { "JgnEnt.Areas.account.Controllers" }
    );

            context.MapRoute(
null,
"account/groups/manageposts/{id}",
new { controller = "groups", action = "manageposts" },
new[] { "JgnEnt.Areas.account.Controllers" }
);
            context.MapRoute(
 null,
 "account/groups/manageposts/{id}/{pid}",
 new { controller = "groups", action = "manageposts" },
 new[] { "JgnEnt.Areas.account.Controllers" }
);

            context.MapRoute(
                null,
                "account/qa/liked/{id}",
                new { controller = "qa", action = "liked" },
                new[] { "JgnEnt.Areas.account.Controllers" }
             );
            context.MapRoute(
               null,
               "account/qa/favorites/{id}",
               new { controller = "qa", action = "favorites" },
               new[] { "JgnEnt.Areas.account.Controllers" }
            );
         context.MapRoute(
            null,
            "account/qa/answers/{id}",
            new { controller = "qa", action = "answers" },
            new[] { "JgnEnt.Areas.account.Controllers" }
         );
        
            #endregion

            context.MapRoute(
                "account_default",
                "account/{controller}/{action}/{id}",
                new { controller = "default", action = "Index", id = UrlParameter.Optional },
                new[] { "JgnEnt.Areas.account.Controllers" }
            );

        }
    }
}