﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace JgnEnt.Areas.admin.models.videos.youtube
{
    public class GeneralTypes
    {
        public static Dictionary<string, string> OrderList()
        {
            var aTypes = new Dictionary<string, string>();
            aTypes.Add(Resources.vsk.relevance, "Relevance");
            aTypes.Add(Resources.vsk.viewCount, "ViewCount");
            aTypes.Add(Resources.vsk.Published, "Date");
            aTypes.Add(Resources.vsk.title, "Rating");
            aTypes.Add(Resources.vsk.rating, "Title");
            return aTypes;
        }

        public static Dictionary<string, string> DateList()
        {
            var aTypes = new Dictionary<string, string>();
            aTypes.Add(Resources.vsk.alltime, "3");
            aTypes.Add(Resources.vsk.today, "0");
            aTypes.Add(Resources.vsk.thisweek, "1");
            aTypes.Add(Resources.vsk.thismonth, "2");
            return aTypes;
        }

        public static Dictionary<string, string> YoutubeCategories()
        {
            var aTypes = new Dictionary<string, string>();
            aTypes.Add(Resources.vsk.allcategories, "all");
            aTypes.Add("Autos &amp; vehicles", "Autos");
            aTypes.Add("Music", "Music");
            aTypes.Add("Science & Technology", "Tech");
            aTypes.Add("Entertainment", "Entertainment");

            aTypes.Add("Film & Animation", "Film");
            aTypes.Add("People", "Peoples & Blogs");
            aTypes.Add("How to Style", "Howto");
            aTypes.Add("Comedy", "Comedy");

            aTypes.Add("Pets & Animals", "pets");
            aTypes.Add("Sports", "Sports");
            aTypes.Add("Gaming", "Games");
            aTypes.Add("News & Politics", "News");

            aTypes.Add("Nonprofits & Activism", "Nonprofit");
            aTypes.Add("Travel & Events", "Travel");
            aTypes.Add("Education", "Education");

            return aTypes;
        }
    }
}