﻿using Jugnoon.BLL;
using Jugnoon.Entity;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace JgnEnt.Areas.api.Controllers
{
    public class categoryController : Controller
    {
        // GET: api/category
        public ActionResult Index()
        {
            return Json(new { status = "error", message = "Forbidden" }, JsonRequestBehavior.AllowGet);
        }

        public ActionResult load()
        {
            var json = new StreamReader(Request.InputStream).ReadToEnd();
            var data = JsonConvert.DeserializeObject<CategoryEntity>(json);
            data.order = data.order + " " + data.direction;
            var _list = CategoryBLL.LoadItems(data);

            return Json(new { categorylist = _list }, JsonRequestBehavior.AllowGet);
        }
    }
}