﻿using Jugnoon.Entity;
using System.Collections.Generic;

namespace Jugnoon.models
{
    public class AlbumListViewModel : ListViewModel
    {
        public int TotalRecords { get; set; }

        public int AlbumType { get; set; } // e.g 0: photos, 1: videos, 2: audio

        public string AlbumTypePath { get; set; } // e.g "videos" , "photos", "audio

        public List<AlbumDataEntity> DataList { get; set; }

        public AlbumEntity QueryOptions { set; get; }

        public AlbumListFilterViewModel Navigation { get; set; }

    }
}