﻿using System.Linq;
using JgnEnt.Framework;
using Jugnoon.EntityFramework;

namespace Jugnoon.BLL
{
    public class User_SettingsBLL
    {
        public User_SettingsBLL()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        // update user mail options
        public static bool Update_User_Mail_Settings(string username, int isautomail, int mail_vcomment, int mail_ccomment, int mail_pmessage, int mail_finvite, int mail_subscribe)
        {
            using (var dbCtx = new mvcportalEntities())
            {
                var item = dbCtx.users
                    .Where(p => p.username == username)
                    .FirstOrDefault<user>();

                if(item != null)
                {
                    item.isautomail = (byte)isautomail;
                    item.mail_vcomment = (byte)mail_vcomment;
                    item.mail_ccomment = (byte)mail_ccomment;
                    item.mail_pmessage = (byte)mail_pmessage;
                    item.mail_finvite = (byte)mail_finvite;
                    item.mail_subscribe = (byte)mail_subscribe;

                    dbCtx.Entry(item).State = System.Data.Entity.EntityState.Modified;

                    DataBLL.SaveChanges(dbCtx);
                }
               
            }
            return true;
        }
      
        // update user privacy options
        public static bool Update_User_Privacy_Settings(string username, int privacy_fmessages)
        {
            using (var dbCtx = new mvcportalEntities())
            {
                var item = dbCtx.users
                    .Where(p => p.username == username)
                    .FirstOrDefault<user>();

                if(item != null)
                {
                    item.privacy_fmessages = (byte)privacy_fmessages;

                    dbCtx.Entry(item).State = System.Data.Entity.EntityState.Modified;

                    DataBLL.SaveChanges(dbCtx);
                }
                
            }
            return true;
            
        }
     /*   
        // return true if user allow sending mail when someone comment on video or post video response
        public static bool isMail_VideoComemnt(string username)
        {
            return isActionAllowed(username, "mail_vcomment");

        }

        // return true if user allow sending mail when someone comment on his/her channel
        public static bool isMail_ChannelComemnt(string username)
        {
            return isActionAllowed(username, "mail_ccomment");

        }

        // return true if user allow sending mail when someone send private message

        public static bool isMail_PrivateMessage(string username)
        {
            return isActionAllowed(username, "mail_pmessage");

        }

        // return true if user allow sending mail when someone send friend invitation
        public static bool isMail_FriendInvite(string username)
        {
            return isActionAllowed(username, "mail_finvite");

        }

        // return true if user allow sending mail when user subscribe their channel

        public static bool isMail_ChannelSubscribe(string username)
        {
            return isActionAllowed(username, "mail_subscribe");

        }


        // return false if user allow to send private messages by all users.
        public static bool isMessages_AllowFriendsOnly(string username)
        {
            return isActionAllowed(username, "privacy_fmessages");

        }

        public static bool isActionAllowed(string username, string fieldName)
        {
            bool flag = false;
            StringBuilder query = new StringBuilder();
            query.Append("Select Count(username) from users where isautomail=1 AND " + fieldName + "=1 AND username=@username");

            using (var con = new SqlConnection(Config.ConnectionString))
            {
                con.Open();

                using (SqlCommand cmd = new SqlCommand(query.ToString(), con))
                {
                    cmd.CommandType = CommandType.Text;
                    cmd.Parameters.Add(new SqlParameter("@username", username));
                    if (Convert.ToInt32(cmd.ExecuteScalar()) > 0)
                        flag = true;
                }
            }

            return flag;
        } */

    }
}