﻿using System;
namespace Jugnoon.Entity
{
    public class MemberEntity : ContentEntity
    {
        public MemberEntity()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        long _userid = 0;
        string _username = "";
        // string _password = "";
        string _email = "";
        string _countryname = "";
        string _firstname = "";
        string _lastname = "";
        string _gender = "";
        // DateTime? _birthdate = DateTime.Now;
        DateTime _registerdate = DateTime.Now;
        // DateTime _last_login = DateTime.Now;
        int _isenabled = 1;

        //  int _issendmessages = 0;
        //  int _isallowbirthday = 0;
        int _accounttype = 0;
        //    int _views = 0;
        //  string _aboutme = "";
        string _picturename = "";
        string _relationshipstatus = "";
   
        //user settings
        int _isautomail = 1;
        long _topicid = 0; // for join with forum_topics

        int _type = 3; // 0: normal member, 1: administrator, 2: premium users (3 default for query processing)
        int _readonly = 2; // 0: full, 1: readonly (2 default for query processing)
                           // user credits, allocated space and allowed uploads
        int _credits = 0;

        // query related
        private bool _advancelist = false;
        private string _character = "";
        private bool _havephoto = false;

        private long _groupid = 0;
        private int _groupstatus = 0; // 0: public, 1: private
        private int _grouptype = 0;  // ........... 0: Normal Member.  // ........... 1: Owner of Group and Group Admin    // ........... 2: Group Admins

        private string _issuer = "";
        public string issuer
        {
            set { _issuer = value; }
            get { return _issuer; }
        }

        public long userid
        {
            set { _userid = value; }
            get { return _userid; }
        }

        public long groupid
        {
            set { _groupid = value; }
            get { return _groupid; }
        }

        public long topicid
        {
            set { _topicid = value; }
            get { return _topicid; }
        }

        public int groupstatus
        {
            set { _groupstatus = value; }
            get { return _groupstatus; }
        }
        public int grouptype
        {
            set { _grouptype = value; }
            get { return _grouptype; }
        }
        public string username
        {
            set { _username = value; }
            get { return _username; }
        }

        /*  public string password
          {
              set { _password = value; }
              get { return _password; }
          } */

        public string email
        {
            set { _email = value; }
            get { return _email; }
        }

        public string countryname
        {
            set { _countryname = value; }
            get { return _countryname; }
        }

        public string firstname
        {
            set { if (_firstname != "") _firstname = ""; _firstname = value; }
            get { return _firstname; }
        }
        public string lastname
        {
            set { if (_lastname != "") _lastname = ""; _lastname = value; }
            get { return _lastname; }
        }

        public DateTime registerdate
        {
            set { _registerdate = value; }
            get { return _registerdate; }
        }

        public int isenabled
        {
            set { _isenabled = value; }
            get { return _isenabled; }
        }

        public int accounttype
        {
            set { _accounttype = value; }
            get { return _accounttype; }
        }

        /* public int views
         {
             set { _views = value; }
             get { return _views; }
         } */

        public string picturename
        {
            set { _picturename = value; }
            get { return _picturename; }
        }

        public string gender
        {
            set { _gender = value; }
            get { return _gender; }
        }

        /* public DateTime? birthdate
         {
             set {
                 if(value != null)
                   _birthdate = value;
             }
             get { return _birthdate; }
         } */

        public int isautomail
        {
            set { _isautomail = value; }
            get { return _isautomail; }
        }

        /*   public int isallowbirthday
           {
               set { _isallowbirthday = value; }
               get { return _isallowbirthday; }
           }

           public int issendmessages
           {
               set { _issendmessages = value; }
               get { return _issendmessages; }
           } */
           public string relationshipstatus
           {
               set { _relationshipstatus = value; }
               get { return _relationshipstatus; }
           }
           /*
           public string website
           {
               set { _website = value; }
               get { return _website; }
           }

           public string hometown
           {
               set { _hometown = value; }
               get { return _hometown; }
           }

           public string currentcity
           {
               set { _currentcity = value; }
               get { return _currentcity; }
           }

           public string zipcode
           {
               set { _zipcode = value; }
               get { return _zipcode; }
           }

           public string occupations
           {
               set { _occupations = value; }
               get { return _occupations; }
           }

           public string companies
           {
               set { _companies = value; }
               get { return _companies; }
           }

           public string schools
           {
               set { _schools = value; }
               get { return _schools; }
           }

           public string interests
           {
               set { _interests = value; }
               get { return _interests; }
           }

           public string movies
           {
               set { _movies = value; }
               get { return _movies; }
           }

           public string musics
           {
               set { _musics = value; }
               get { return _musics; }
           }

           public string books
           {
               set { _books = value; }
               get { return _books; }
           }


           public string aboutme
           {
               set { _aboutme = value; }
               get { return _aboutme; }
           }

           public int videos_watched
           {
               set { _videos_watched = value; }
               get { return _videos_watched; }
           }

           public int subscribers
           {
               set { _subscribers = value; }
               get { return _subscribers; }
           }

           public DateTime last_login
           {
               set { _last_login = value; }
               get { return _last_login; }
           }

           public int video_upload
           {
               set { _video_upload = value; }
               get { return _video_upload; }
           }

           public int video_favorited
           {
               set { _video_favorited = value; }
               get { return _video_favorited; }
           }

           public int count_comments
           {
               set { _count_comments = value; }
               get { return _count_comments; }
           }

           public int count_friends
           {
               set { _count_friends = value; }
               get { return _count_friends; }
           }

           public int count_subscribers
           {
               set { _count_subscribers = value; }
               get { return _count_subscribers; }
           }

           public int count_groups
           {
               set { _count_groups = value; }
               get { return _count_groups; }
           }

           public int count_messages
           {
               set { _count_messages = value; }
               get { return _count_messages; }
           }

           public int count_photos
           {
               set { _count_photos = value; }
               get { return _count_photos; }
           }

           public int count_blogs
           {
               set { _count_blogs = value; }
               get { return _count_blogs; }
           }

           public int count_audio
           {
               set { _count_audios = value; }
               get { return _count_audios; }
           }

           public int count_audio_favorites
           {
               set { _count_audio_favorites = value; }
               get { return _count_audio_favorites; }
           }

           public int count_forum_topics
           {
               set { _count_forum_topics = value; }
               get { return _count_forum_topics; }
           }

           public int channel_isaudio
           {
               set { _channel_isaudios = value; }
               get { return _channel_isaudios; }
           }

           public int channel_isfriends
           {
               set { _channel_isfriends = value; }
               get { return _channel_isfriends; }
           }

           public int channel_issubscribers
           {
               set { _channel_issubscribers = value; }
               get { return _channel_issubscribers; }
           }

           public int channel_isgroups
           {
               set { _channel_isgroups = value; }
               get { return _channel_isgroups; }
           }

           public int channel_isphotos
           {
               set { _channel_isphotos = value; }
               get { return _channel_isphotos; }
           }

           public int channel_isblogs
           {
               set { _channel_isblogs = value; }
               get { return _channel_isblogs; }
           }


           public string channel_name
           {
               set { _channel_name = value; }
               get { return _channel_name; }
           }

           public string channel_theme
           {
               set { _channel_theme = value; }
               get { return _channel_theme; }
           }*/

        public int type
        {
            set { _type = value; }
            get { return _type; }
        }

        // credits, allocated space and services 
        public int credits
        {
            set { _credits = value; }
            get { return _credits; }
        }

        /*public int roleid
        {
            set { _roleid = value; }
            get { return _roleid; }
        } */

        /* public DateTime? last_purchased
         {
             set
             {
                 if (value != null)
                     _last_purchased = value;
             }
             get { return _last_purchased; }
         }
         public DateTime? membership_expiry
         {
             set {
                  if(value != null)
                     _membership_expiry = value;
             }
             get { return _membership_expiry; }
         }

         public int islifetimerenewal
         {
             set { _islifetimerenewal = value; }
             get { return _islifetimerenewal; }
         }

         public int paypal_subscriber
         {
             set { _paypal_subscriber = value; }
             get { return _paypal_subscriber; }
         }

         public string paypal_email
         {
             set { _paypal_email = value; }
             get { return _paypal_email; }
         }

         public int stat_qa
         {
             set { _stat_qa = value; }
             get { return _stat_qa; }
         }
         public int stat_qanswers
         {
             set { _stat_qanswers = value; }
             get { return _stat_qanswers; }
         }
         public int stat_qafavorites
         {
             set { _stat_qafavorites = value; }
             get { return _stat_qafavorites; }
         }
         */
        public int isreadonly
        {
            set { _readonly = value; }
            get { return _readonly; }
        }

        public bool advancelist
        {
            set { _advancelist = value; }
            get { return _advancelist; }
        }

        public string character
        {
            set { _character = value; }
            get { return _character; }
        }

        public bool havephoto
        {
            set { _havephoto = value; }
            get { return _havephoto; }
        }

        /*public bool isselected
        {
            set { _isselected = value; }
            get { return _isselected; }
        }*/
    }
}
 