﻿using System;
namespace Jugnoon.Entity
{
    public class UserPaymentEntity
    {
        public UserPaymentEntity()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        private long _payment_id = 0;
        private string _username = "";
        private int _id = 0;
        private string _packagename = "";
        private double _price = 0;
        private int _credits = 0;
        private DateTime _added_date = DateTime.Now;
        private string _currency = "$";
        private int _months = 0;
        private int _status = 0; // 0: Pending, 1: Completed
                                 // Transaction Information
        private string _transactionid = "";
        private string _payer_email = "";
        private string _item_name = "";
        private string _payment_status = "";
        private string _pending_reason = "";
        private string _payment_fee = "";
        private string _payment_gross = "";
        private string _txn_type = "";
        private string _first_name = "";
        private string _last_name = "";
        private string _address_street = "";
        private string _address_city = "";
        private string _address_state = "";
        private string _address_zip = "";
        private string _address_country = "";
        private string _address_status = "";
        private string _payer_status = "";
        private string _payer_id = "";
        private string _payment_type = "";

        public long paymentid
        {
            set { _payment_id = value; }
            get { return _payment_id; }
        }

        public string username
        {
            set { _username = value; }
            get { return _username; }
        }

        public int packageid
        {
            set { _id = value; }
            get { return _id; }
        }

        public string packagename
        {
            set { _packagename = value; }
            get { return _packagename; }
        }

        public string currency
        {
            set { _currency = value; }
            get { return _currency; }
        }

        public double price
        {
            set { _price = value; }
            get { return _price; }
        }

        public int credits
        {
            set { _credits = value; }
            get { return _credits; }
        }

        public DateTime added_date
        {
            set { _added_date = value; }
            get { return _added_date; }
        }

        public int months
        {
            set { _months = value; }
            get { return _months; }
        }

        public int status
        {
            set { _status = value; }
            get { return _status; }
        }

        public string transactionid
        {
            set { _transactionid = value; }
            get { return _transactionid; }
        }

        public string payer_email
        {
            set
            {
                if (value.Length > 100)
                    _payer_email = value.Substring(0, 100);
                else _payer_email = value;
            }
            get { return _payer_email; }
        }
        public string item_name
        {
            set
            {
                if (value.Length > 150)
                    _item_name = value.Substring(0, 150);
                else _item_name = value;
            }
            get { return _item_name; }
        }

        public string payment_status
        {
            set
            {
                if (value.Length > 30)
                    _payment_status = value.Substring(0, 30);
                else _payment_status = value;
            }
            get { return _payment_status; }
        }

        public string pending_reason
        {
            set
            {
                if (value.Length > 30)
                    _pending_reason = value.Substring(0, 30);
                else _pending_reason = value;
            }
            get { return _pending_reason; }
        }

        public string payment_fee
        {
            set
            {
                if (value.Length > 20)
                    _payment_fee = value.Substring(0, 20);
                else _payment_fee = value;
            }
            get { return _payment_fee; }
        }

        public string payment_gross
        {
            set
            {
                if (value.Length > 20)
                    _payment_gross = value.Substring(0, 20);
                else _payment_gross = value;
            }
            get { return _payment_gross; }
        }

        public string txn_type
        {
            set
            {
                if (value.Length > 30)
                    _txn_type = value.Substring(0, 30);
                else _txn_type = value;
            }
            get { return _txn_type; }
        }

        public string first_name
        {
            set
            {
                if (value.Length > 50)
                    _first_name = value.Substring(0, 50);
                else _first_name = value;
            }
            get { return _first_name; }
        }

        public string last_name
        {
            set
            {
                if (value.Length > 50)
                    _last_name = value.Substring(0, 50);
                else _last_name = value;
            }
            get { return _last_name; }
        }

        public string address_street
        {
            set
            {
                if (value.Length > 150)
                    _address_street = value.Substring(0, 150);
                else _address_street = value;
            }
            get { return _address_street; }
        }

        public string address_city
        {
            set
            {
                if (value.Length > 50)
                    _address_city = value.Substring(0, 50);
                else _address_city = value;
            }
            get { return _address_city; }
        }

        public string address_state
        {
            set
            {
                if (value.Length > 50)
                    _address_state = value.Substring(0, 50);
                else _address_state = value;
            }
            get { return _address_state; }
        }

        public string address_zip
        {
            set
            {
                if (value.Length > 20)
                    _address_zip = value.Substring(0, 20);
                else _address_zip = value;
            }
            get { return _address_zip; }
        }

        public string address_country
        {
            set
            {
                if (value.Length > 50)
                    _address_country = value.Substring(0, 50);
                else _address_country = value;
            }
            get { return _address_country; }
        }

        public string address_status
        {
            set
            {
                if (value.Length > 30)
                    _address_status = value.Substring(0, 30);
                else _address_status = value;
            }
            get { return _address_status; }
        }

        public string payer_status
        {
            set
            {
                if (value.Length > 30)
                    _payer_status = value.Substring(0, 30);
                else _payer_status = value;
            }
            get { return _payer_status; }
        }

        public string payer_id
        {
            set
            {
                if (value.Length > 30)
                    _payer_id = value.Substring(0, 30);
                else _payer_id = value;
            }
            get { return _payer_id; }
        }

        public string payment_type
        {
            set
            {
                if (value.Length > 30)
                    _payment_type = value.Substring(0, 30);
                else _payment_type = value;
            }
            get { return _payment_type; }
        }
    }
}