﻿using System;

namespace Jugnoon.Entity
{
    public class CategoryEntity : ContentEntity
    {

        private int _id = 0;
        private string _title = "";
        private int _parentid = -1;
        private int _type = 0;
        private int _priority = 0;
        private int _mode = 0;
        private string _picturename = "";
        private string _description = "";
        private int _records = 0;
        private string _level = "";
        private DateTime _created_at = DateTime.Now;
        private DateTime _updated_at = DateTime.Now;
        //query related
        private bool _issummary = true;
        private bool _isdropdown = false;
        private bool _showSeparator = true;


        public int id
        {
            get { return _id; }
            set { _id = value; }
        }
        public string title
        {
            get { return _title; }
            set { _title = value; }
        }

        public int records
        {
            get { return _records; }
            set { _records = value; }
        }

        public int parentid
        {
            get { return _parentid; }
            set { _parentid = value; }
        }


        public int type
        {
            get { return _type; }
            set { _type = value; }
        }
        public int priority
        {
            get { return _priority; }
            set { _priority = value; }
        }

        public int mode
        {
            get { return _mode; }
            set { _mode = value; }
        }

        public string picturename
        {
            get { return _picturename; }
            set { _picturename = value; }
        }

        public string description
        {
            get { return _description; }
            set { _description = value; }
        }

        public string level
        {
            get { return _level; }
            set { _level = value; }
        }

        public DateTime updated_at
        {
            get { return _updated_at; }
            set { _updated_at = value; }
        }

        public DateTime created_at
        {
            get { return _created_at; }
            set { _created_at = value; }
        }
        
        public bool isDropdown
        {
            get { return _isdropdown; }
            set { _isdropdown = value; }
        }

        public bool showSeparator
        {
            get { return _showSeparator; }
            set { _showSeparator = value; }
        }

       
    }
}