﻿
namespace Jugnoon.Entity
{
    // for data sending purpose
    public class MailTemplateDataEntity
    {
        public int id { get; set; }
        public string templatekey { get; set; }
        public string description { get; set; }
        public string subject { get; set; }
        public string tags { get; set; }
        public string subjecttags { get; set; }
        public string contents { get; set; }
        public string type { get; set; }
    }

    // for query purpose
    public class MailTemplateEntity : ContentEntity
    {
        private int _id = 0;
        private string _templatekey = "";
        private string _description = "";
        private string _tags = "";
        private string _subjecttags = "";
        private string _subject = "";
        private string _contents = "";
        private string _type = "";

        public int id
        {
            set { _id = value; }
            get { return _id; }
        }
        public string templatekey
        {
            set { _templatekey = value; }
            get { return _templatekey; }
        }
        public string description
        {
            set { _description = value; }
            get { return _description; }
        }
        public string subject
        {
            set { _subject = value; }
            get { return _subject; }
        }
        public string tags
        {
            set { _tags = value; }
            get { return _tags; }
        }
        public string subjecttags
        {
            set { _subjecttags = value; }
            get { return _subjecttags; }
        }
        public string contents
        {
            set { _contents = value; }
            get { return _contents; }
        }
        public string type
        {
            set { _type = value; }
            get { return _type; }
        }
    }
}