﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Jugnoon.Entity
{
    public class RoleDataEntity
    {
        public short id { get; set; }
        public string rolename { get; set; }
        public System.DateTime created_at { get; set; }
        public string uniqueid { get; set; }

        public List<RoleDataPermissionEntity> permissions { get; set; }
    }

    public class RoleDataObjectEntity
    {
        public short id { get; set; }
        public string objectname { get; set; }
        public string description { get; set; }
        public string uniqueid { get; set; }
    }

    public class RoleDataPermissionEntity
    {
        public short id { get; set; }
        public Nullable<short> roleid { get; set; }
        public Nullable<short> objectid { get; set; }

        public RoleDataObjectEntity robject { get; set; }
    }

    // query related
    public class RoleEntity : ContentEntity
    {
        private int _id = 0;
        public int id
        {
            set { _id = value; }
            get { return _id; }
        }

        private string _rolename = "";
        public string rolename
        {
            set { _rolename = value; }
            get { return _rolename; }
        }
    }

    public class RoleObject : ContentEntity
    {
        private int _id = 0;
        public int id
        {
            set { _id = value; }
            get { return _id; }
        }

        private string _objectname = "";
        public string objectname
        {
            set { _objectname = value; }
            get { return _objectname; }
        }

        private string _uniqueid = "";
        public string uniqueid
        {
            set { _uniqueid = value; }
            get { return _uniqueid; }
        }

    }

    public class RoleDPermissionEntity : ContentEntity
    {
        private int _id = 0;
        public int id
        {
            set { _id = value; }
            get { return _id; }
        }

        private int _roleid = 0;
        public int roleid
        {
            set { _roleid = value; }
            get { return _roleid; }
        }

        private int _objectid = 0;
        public int objectid
        {
            set { _objectid = value; }
            get { return _objectid; }
        }
        
        
    }
}