﻿using StackExchange.Redis;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Jugnoon.Utility
{
    public class RedisHelper
    {
        private static Lazy<ConnectionMultiplexer> lazyRedisConnection = new Lazy<ConnectionMultiplexer>(() => { return ConnectionMultiplexer.Connect(Jugnoon.Settings.CloudSettings.Redis_ConnectionString); });
        public static ConnectionMultiplexer RedisConnection
        {
            get { return lazyRedisConnection.Value; }
        }
    }
}