﻿
using System;
using System.Configuration;

namespace Jugnoon.SES
{
    public class Config
    {
        public static bool isEnabled
        {
            get
            {
                if (ConfigurationManager.AppSettings["Enable_SES"] != null)
                    return Convert.ToBoolean(ConfigurationManager.AppSettings["Enable_SES"]);
                else
                    return false;
            }
        }

        public static string Host
        {
            get
            {
                if (ConfigurationManager.AppSettings["SES_Host"] != null)
                    return ConfigurationManager.AppSettings["SES_Host"].ToString();
                else
                    return "";
            }
        }

        public static string UserName
        {
            get
            {
                if (ConfigurationManager.AppSettings["SES_Username"] != null)
                    return ConfigurationManager.AppSettings["SES_Username"].ToString();
                else
                    return "";
            }
        }

        public static string Password
        {
            get
            {
                if (ConfigurationManager.AppSettings["SES_Password"] != null)
                    return ConfigurationManager.AppSettings["SES_Password"].ToString();
                else
                    return "";
            }
        }
    }
}