﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Jugnoon.Entity
{
    public class VideoDataEntity
    {
        public long videoid { get; set; }
        public Nullable<short> categoryid { get; set; }
        public string username { get; set; }
        public string title { get; set; }
        public string description { get; set; }
        public string tags { get; set; }
        public string duration { get; set; }
        public int views { get; set; }
        public int favorites { get; set; }
        public int total_rating { get; set; }
        public int comments { get; set; }
        public int responses { get; set; }
        public float ratings { get; set; }
        public float avg_rating { get; set; }
        public string videofilename { get; set; }
        public string thumbfilename { get; set; }
        public string originalvideofilename { get; set; }
        public string embed_script { get; set; }
        public byte isenabled { get; set; }
        public byte isprivate { get; set; }
        public byte iscomments { get; set; }
        public byte isratings { get; set; }
        public byte isresponse { get; set; }
        public byte isfeatured { get; set; }
        public byte isexternal { get; set; }
        public byte isadult { get; set; }
        public int response_videoid { get; set; }
        public int duration_sec { get; set; }
        public byte ispublished { get; set; }
        public byte isreviewed { get; set; }
        public string flv_url { get; set; }
        public string org_url { get; set; }
        public string thumb_url { get; set; }
        public string preview_url { get; set; }
        public byte errorcode { get; set; }
        public Nullable<System.DateTime> created_at { get; set; }
        public string ipaddress { get; set; }
        public byte type { get; set; }
        public int liked { get; set; }
        public int disliked { get; set; }
        public string youtubeid { get; set; }
        public byte istagsreviewed { get; set; }
        public string categories { get; set; }
        public string language { get; set; }
        public int downloads { get; set; }
        public byte mode { get; set; }
        public string authkey { get; set; }
        public long galleryid { get; set; }
        public string coverurl { get; set; }
        public string cloud_media_path { get; set; }
        public string cloud_thumb_path { get; set; }
        public double price { get; set; }
        public string actors { get; set; }
        public string actresses { get; set; }
        public byte movietype { get; set; }
        public string streamoutputs { get; set; }
        public string thumb_preview { get; set; }
        // for internal use only
        public bool isselected { get; set; }
        public string picturename { get; set; }
        public string url { get; set; }
        public string author_url { get; set; }
        public string customize_date { get; set; }
        public string shorttitle { get; set; }

        public AlbumDataEntity album { get; set; }
        public UserDataEntity author { get; set; }
        public PlayerEntity player { get; set; }
        public List<FileEntity> thumbs { get; set; }
    }

    public class PlayerEntity
    {
        public int type { get; set; }
        public string url { get; set; }
        public string picturename { get; set; }
        public string youtubeid { get; set; }
        public string embedscript { get; set; }
    }
}