﻿using Jugnoon.Entity;
using System.Collections.Generic;

namespace Jugnoon.models
{ 

    // Model for handling category lists
    public class CategoryListViewModel_v2 : ListViewModel
    {
        public int TotalRecords { get; set; }

        public List<CategoryDataEntity> DataList { get; set; }

        public CategoryEntity QueryOptions { set; get; }

        // category directory path
        public string Path { get; set; }

    }

    public class CategoryListModelView
    {
        private int _type = 0; 
        private string _headingTitle = Resources.vsk.categories;
        private int _totalrecords = 20;
        private bool _isAll = false;
        private string _path = "";
        private bool _isMain = false;

        public string HeadingTitle
        {
            set { _headingTitle = value; }
            get { return _headingTitle; }
        }

        public int Type
        {
            set { _type = value; }
            get { return _type; }
        }

        public int TotalRecords
        {
            set { _totalrecords = value; }
            get { return _totalrecords; }
        }
        public bool isAll
        {
            set { _isAll = value; }
            get { return _isAll; }
        }
        public string Path
        {
            set { _path = value; }
            get { return _path; }
        }

        public bool isMain
        {
            set { _isMain = value; }
            get { return _isMain; }
        }
    }
}