﻿namespace Jugnoon.models
{   

    public class TagListModelView
    {
        private string _term = "";
        private int _type = 0; // 0: videos, 1: groups, 2: photos, 3: blogs, 4: audio files, 5: general, 6: galleries, 7: forums, 100: all
        private int _tag_type = 0; // 0: normal tags, 1: search tags, 2: all tags
        private int _tag_level = 100;   // 0: high, 1: medium, 2: low, 100: all
        private int _pagenumber = 1;
        private string _order = "tagid desc";
        private bool _iscache = false;
        private int _totalrecords = 10;
        private string _title = Resources.vsk.populartags;
        private string _path = "";

        // for complete tag listing
        private string _defaulturl = "";
        private string _paginationurl = "";
        private string _norecordfound = "";
        private string _action = "";
        private string _query = "";

        private bool _MainView = false;
        public bool isMain
        {
            set { _MainView = value; }
            get { return _MainView; }
        }

        public string HeadingTitle
        {
            set { _title = value; }
            get { return _title; }
        }
        public string Term
        {
            set { _term = value; }
            get { return _term; }
        }
        public int Type
        {
            set { _type = value; }
            get { return _type; }
        }
        public int Tag_Type
        {
            set { _tag_type = value; }
            get { return _tag_type; }
        }
        public int Tag_Level
        {
            set { _tag_level = value; }
            get { return _tag_level; }
        }
        public int pagenumber
        {
            set { _pagenumber = value; }
            get { return _pagenumber; }
        }
        public string Order
        {
            set { _order = value; }
            get { return _order; }
        }
        public bool iscache
        {
            set { _iscache = value; }
            get { return _iscache; }
        }
        public int TotalRecords
        {
            set { _totalrecords = value; }
            get { return _totalrecords; }
        }

        public string Path
        {
            set { _path = value; }
            get { return _path; }
        }

        public string DefaultUrl
        {
            set { _defaulturl = value; }
            get { return _defaulturl; }
        }

        public string PaginationUrl
        {
            set { _paginationurl = value; }
            get { return _paginationurl; }
        }

        public string NoRecordFoundText
        {
             set { _norecordfound = value; }
             get { return _norecordfound; }
        }

        public string Action
        {
            set { _action = value; }
            get { return _action;  }
        }

        public string Query
        {
            set { _query = value; }
            get { return _query; }
        }
    }
}