﻿using Jugnoon.Entity;
using Jugnoon.Utility;
using System.Collections.Generic;


namespace Jugnoon.models
{
    public class SearchModelView
    {
        public string SearchTerm { get; set; }

        public string RawTerm { get; set; }

        public bool isSearch { get; set; }
    }

    public class IAdvanceSearch
    {
        public string term { get; set; }

        public string username { get; set; }

        public List<CategoryDataEntity> CategoryList { get; set; }

        public string[] categories { get; set; } // single selection

        public int date_added { get; set; }

        public Dictionary<string, string> datelist { get; set; }

        public string order { get; set; }

        public Dictionary<string, string> orderlist { get; set; }

        public string Message { get; set; }

        public AlertTypes AlertType { get; set; }
    }
}