﻿namespace JgnEnt.models.ViewModels.Shared
{
    public class ActionViewModel
    {
        public int ToolbarSize = 1; // 0: mini, 1: normal, 2: large
        public int ToolbarTheme = 0; // 0: default, 1: primary, 2: warning,3: danger, 4: info, 5: inverse, 5: success
        public int Ratingtype = 0; // 0: like / dislike, 1: start rating
        public bool isEmbed = true;
        public bool isPhotoEmbed = false;
        public bool isAlbumEmbed = false;
        public string PhotoUrl = "";
        public bool isPlaylist = true;
        public bool isFavorites = true;
        public bool isShare = true;
        public bool isFlag = true;
        public bool isDownload = true;
        public bool isViews = true;
        public bool isDetailViewStats = true;
        private int _type = 0; // 0: video, audio, 1: comment adv points, 2: photo rating , 3: blog rating etc
        private int _Mediatype = 0; // 0: video, 1: audio (only used in video or audio section)
        private long _contentid = 0;
        private string _username = ""; // content author
        private string _currentusername =""; // currently logged in username

        private int _liked = 0;
        private int _disliked = 0;
        private int _favorites = 0;
        private string _videopath = "";
        private string _videofilename = "";
        private string _content_type = Resources.vsk.video;
        private string _embed_script = "";

        public int isRating = 1; // 1: Rating On, 0: Rating Off
        public long ContentID
        {
            set { _contentid = value; }
            get { return _contentid; }
        }

        public string UserName
        {
            set { _username = value; }
            get { return _username; }

        }

        public string Current_UserName
        {
            set { _currentusername = value; }
            get { return _currentusername; }
        }

        public int Liked
        {
            set { _liked = value; }
            get { return _liked; }
        }

        public int Disliked
        {
            set { _disliked = value; }
            get { return _disliked; }
        }

        public int Type
        {
            set { _type = value; }
            get { return _type; }
        }

        public int MediaType
        {
            set { _Mediatype = value; }
            get { return _Mediatype; }
        }

        public int Favorites
        {
            set { _favorites = value; }
            get { return _favorites; }
        }

        public string VideoPath
        {
            set { _videopath = value; }
            get { return _videopath; }

        }

        public string VideoFileName
        {
            set { _videofilename = value; }
            get { return _videofilename; }
        }

        public string Content_Type
        {
            set { _content_type = value; }
            get { return _content_type; }
        }

        public string Embed_Script
        {
            set { _embed_script = value; }
            get { return _embed_script; }
        }
        // Star Ratings
        public double Avg_Ratings = 0;
        public int TotalRatings = 0;
        public double Ratings = 0;
        public int Comments = 0;
        public int Views = 0;
             

        // --> Custom Button Options --> Only required for photo galleries
        public bool PhotoGalleryOptions = false; // Enable photo gallery custom option buttons, (normal, original, slideshow)
        public bool ShowOriginalButton = false;
        public bool ShowNormalButton = false;
        public bool ShowSlideShowButton = false;
        public string GalleryDefaultLink = "";

        // --> Custom Button Options --> Only required for photo preview page
        public bool PhotoOptions = false;
        public string PhotoDownloadLink = "";

    }
}