import { NgModule }       from '@angular/core';
import { CommonModule }   from '@angular/common';
import { MemberComponent }           from './index';
import { MemberDashboardComponent }  from './member-dashboard';
import { CreateMemberComponent }  from './create';

import { MemberRoutingModule }       from './route';

import { PartialModule } from '../../partials/shared.module';

@NgModule({
  imports: [
    CommonModule,
    MemberRoutingModule,
    PartialModule
  ],
  declarations: [
    MemberComponent,
    MemberDashboardComponent,
    CreateMemberComponent
  ]
})
export class MemberModule { }
