export interface IConfigurationState {
    posts: any;
    loading: boolean;
    error: any;
    isloaded: boolean;
}

export const IPagination = {
    currentPage: 1,
    totalRecords: 0,
    pageSize: 40,
    showFirst: 1,
    showLast: 1,
    paginationstyle: 0,
    totalLinks: 7,
    prevCss: '',
    nextCss: '',
    urlpath: ''
};

export const IFilterOption = {
    imageid: 0,
    username: '',
    isapproved: 2,
    isdisabled: 2,
    iswall: 2,
    editorchoice: 2,
    galleryid: 0,
    privacy: 3,
    isadult: 2,
    tags: '',
    categories: '',
    categories_arr: [],
    order: 'imageid',
    direction: 'desc',
    term: '', // search term
    pagesize: 16, // default page size
    pagenumber: 1, // current page number
    datefilter: 0,
    isSummary: true,
    ispublic: false,
    nofilter: false,
    loadstats: true // just for first time for loading categories
  };

  /* export interface IFilter {
    imageid: number;
    username: string;
    isapproved: number;
    isdisabled: number;
    iswall: number;
    editorchoice: number;
    galleryid: number;
    privacy: number;
    isadult: number;
    tags: string;
    categories: string;
    categories_arr: any;
    order: string;
    direction: string;
    term: string;
    pagesize: number;
    pagenumber: number;
    datefilter: number;
    isSummary: boolean;
    ispublic: boolean;
    nofilter: boolean;
    loadstats: boolean;
}; */
