import { Component, OnInit, Input } from '@angular/core';
import { DataService } from '../services/data.service';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

@Component({
    selector: 'viewmodal',
    templateUrl: './modal.html',
    providers: [DataService]
})
export class ViewComponent implements OnInit {

  @Input() Info: any;
  title: string;
  data: any;

  showLoader = false;
  heading: string;

  constructor(
    public activeModal: NgbActiveModal,
    private dataService: DataService) { }

  ngOnInit() {
      this.title = this.Info.title;
      console.log(this.Info);
  }

  close() {
     this.activeModal.dismiss('Cancel Clicked');
  }

}
