export type UserType = string;

export interface IUserPage {
    posts: any;
    auth: IAuth;
    records: number;
    loading: boolean;
    error: any;
    pagination: any;
    filteroptions: any;
    categories: any;
    selectall: boolean;
    itemsselected: boolean;
    isloaded: boolean;
}

export interface IAuth {
    isAuthenticated: boolean;
    User: any;
    Role: any;
}
export const IPagination = {
    currentPage: 1,
    totalRecords: 0,
    pageSize: 40,
    showFirst: 1,
    showLast: 1,
    paginationstyle: 0,
    totalLinks: 7,
    prevCss: '',
    nextCss: '',
    urlpath: ''
};

export const IFilterOption = {
    userid: 0,
    type: 3, // 1: admin, 2: paid users, 0: normal users
    isreadonly: 2,
    isenabled: 2,
    username: '',
    email: '',
    havephoto: false,
    direction: 'desc',
    order: 'userid',
    accounttype: 0,
    gender: '',
    relationshipstatus: '',
    countryname: '',
    term: '', // search term
    pagesize: 20, // default page size
    pagenumber: 1, // current page number
    datefilter: 0,
    nofilter: false,
    ispublic: false,
    loadstats: true,
    track_filter: false // just to keep track whether find record or any filter option changed or called on page
  };
