export interface IVideoState {
    posts: any;
    records: number;
    loading: boolean;
    error: any;
    pagination: any;
    filteroptions: any;
    categories: any;
    yt_categories: any; // Youtube Categories
    yt_result: any; // Youtube Search Result
    selectall: boolean;
    itemsselected: boolean;
    isloaded: boolean;
    uploadedfiles: any; // ffmpeg video uploaded files
}

export const IPagination = {
    currentPage: 1,
    totalRecords: 0,
    pageSize: 40,
    showFirst: 1,
    showLast: 1,
    paginationstyle: 0,
    totalLinks: 7,
    prevCss: '',
    nextCss: '',
    urlpath: ''
};

export const IFilterOption = {
    videoid: 0,
    ispublished: 2,
    username: '',
    isreviewed: 2,
    isenabled: 2,
    isfeatured: 3,
    type: 0,
    galleryid: 0,
    isprivate: 3,
    isexternal: 3,
    isadult: 2,
    tags: '',
    categories: [],
    categories_str: '', // string mode
    price: 0,
    actors: '',
    actresses: '',
    errorcode: 0,
    order: 'videoid',
    term: '', // search term
    pagesize: 16, // default page size
    pagenumber: 1, // current page number
    datefilter: 0,
    direction: 'desc',
    isSummary: true,
    nofilter: false,
    ispublic: false,
    loadstats: true, // just for first time for loading categories,
    track_filter: false // just to keep track whether find record or any filter option changed or called on page
  };
