import { NgModule }             from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { MemberComponent }           from './index';
import { MemberDashboardComponent }  from './member-dashboard';
import { CreateMemberComponent }  from './create';

// import { AuthGuard }                from '../auth-guard.service';

const adminRoutes: Routes = [
  {
    path: '',
    component: MemberComponent,
    // canActivate: [AuthGuard],
    children: [
      {
        path: '',
        //canActivateChild: [AuthGuard],
        children: [
          { path: 'create', component: CreateMemberComponent },
          { path: '', component: MemberDashboardComponent }
        ]
      }
    ]
  }
];

@NgModule({
  imports: [
    RouterModule.forChild(adminRoutes)
  ],
  exports: [
    RouterModule
  ]
})
export class MemberRoutingModule {}
