export interface IAPIOptions {
    load: string;
    getinfo: string;
    action: string;
    youtube: string;
    fetch_youtube: string;
    remove_audio: string;
    proc: string;
    yt_proc: string;
    editvideo: string;
    deletevideo: string;
    encodevideo: string;
    load_categories: string;
    proc_ffmpeg_videos: string;
    aws_proc: string;
    authorize_author: string;
    update_video_thumb: string;
}

export interface VideoEntity {
    videoid: number;
    username: string;
    title: string;
    description: string;
    tags: string;
    categories: any;
    files?: any;
    iscomments?: number;
    isratings?: number;
    isprivate?: number;
}

export interface VideoThumbnailEntity {
    thumbs: any;
}
