import { Component, Input } from '@angular/core';
import { LANGUAGES } from '../services/shared/LanguageService';
import { USER } from '../models/User';
@Component({
  selector: 'app-navbar',
  templateUrl: './navbar.html'
})
export class NavBarComponent {
    @Input() user: USER;
    Languages = LANGUAGES.languages;
    SelectedLanguage = LANGUAGES.selected;
    
}
