import { Routes } from '@angular/router';
import { JMediaLazyGuard } from './j-media-guard.guard';


export const appRoutes: Routes = [
  {
    path: '',
    loadChildren: './pages/dashboard/dashboard.module#DashboardModule'
  },
  {
    path: 'email-options',
    canActivate: [JMediaLazyGuard],
    loadChildren: './pages/email-options/emailoptions.module#EmailOptionModule'
  },
  {
    path: 'manage-account',
    canActivate: [JMediaLazyGuard],
    loadChildren: './pages/manage-account/manageaccount.module#ManageAccountModule'
  },
  {
    path: 'profile-setup',
    canActivate: [JMediaLazyGuard],
    loadChildren: './pages/profile-setup/profile.setup.module#ProfileSetupModule'
  },
  {
    path: 'videos',
    canActivate: [JMediaLazyGuard],
    loadChildren: './pages/videos/videos.module#VideosModule',
  }
];
