﻿using Jugnoon.Utility;
using System.Web.Mvc;
using JgnEnt.Areas.admin.models;
using System.IO;

namespace JgnEnt.Areas.admin.Controllers
{
    [MasterEventAuthorizationAttribute(Roles = "Admin")]
    public class defaultController : Controller
    {
        // GET: admin/default
        public ActionResult Index()
        {
            var model = new AdminViewModel();

            if (Request.Params["action_error"] != null)
            {
                model.Message = Resources.vsk.controlpanelmsg;
            }

            var angularAppPath = Server.MapPath(Request.ApplicationPath) + "//scripts//lib//admin//";
            model.isExist = Directory.Exists(angularAppPath);

            ViewBag.Title = "Admin Dashboard";

            return View(model);
        }
    }

}