﻿using System.Collections.Generic;
using System.Web.Mvc;
using Jugnoon.BLL;
using Jugnoon.Entity;
using System.IO;
using Newtonsoft.Json;
using System.Web.Http.Cors;

namespace JgnEnt.Areas.admin.Controllers
{
    [EnableCors(origins: "*", headers: "*", methods: "*")]
    public class configController : Controller
    {  
        public ActionResult load()
        {
            // var json = new StreamReader(Request.InputStream).ReadToEnd();
            // var data = JsonConvert.DeserializeObject<ConfigEntity>(json);
            var data = new ConfigEntity();

            var _settings = ConfigurationBLL.Load(data);
            return Json(new
            {
                settings = _settings
            });
        }

        
        public ActionResult proc()
        {
            var json = new StreamReader(Request.InputStream).ReadToEnd();
            if (json == "")
            {
                return Json(new { status = "Error", message = "Invalid input sent" });
            }
            var configs = JsonConvert.DeserializeObject<List<ConfigDataEntity>>(json);
            foreach (var config in configs)
            {
                if (config.value == null)
                    config.value = "";

               // ConfigurationBLL.Update_Value(config.id, config.value);
            }
            return Json(new
            {
                status = 200
            });
        }
    }
}