﻿using Jugnoon.BLL;
using Jugnoon.Entity;
using Newtonsoft.Json;
using System.Collections.Generic;
using System.IO;
using System.Web.Mvc;

namespace JgnEnt.Areas.api.Controllers
{
    public class configurationController : Controller
    {
        // GET: api/configuration
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult load()
        {
            // var json = new StreamReader(Request.InputStream).ReadToEnd();
            // var data = JsonConvert.DeserializeObject<ConfigEntity>(json);
            var data = new ConfigEntity();

            var _settings = ConfigurationBLL.Load(data);
            return Json(new
            {
                settings = _settings
            });
        }

        // load only configurations required in myaccount / my profile app
        public ActionResult load_settings()
        {
            var data = new ConfigEntity();
            data.type = 2;

            var _settings = ConfigurationBLL.Load(data);
            return Json(new
            {
                settings = _settings
            });
        }

        public ActionResult proc()
        {
            var json = new StreamReader(Request.InputStream).ReadToEnd();
            if (json == "")
            {
                return Json(new { status = "Error", message = "Invalid input sent" });
            }
            var configs = JsonConvert.DeserializeObject<List<ConfigDataEntity>>(json);
            foreach (var config in configs)
            {
                if (config.value == null)
                    config.value = "";

                ConfigurationBLL.Update_Value(config.id, config.value);
            }
            return Json(new
            {
                status = 200
            });
        }
    }
}