﻿using System.Collections.Generic;
using System.Web.Mvc;
using Jugnoon.BLL;
using Jugnoon.Entity;
using System.IO;
using Newtonsoft.Json;

namespace JgnEnt.Areas.api.Controllers
{
    public class roleobjectController : Controller
    {
        public ActionResult load()
        {
            // var json = new StreamReader(Request.InputStream).ReadToEnd();
            // var data = JsonConvert.DeserializeObject<RoleObject>(json);
            // data.order = data.order + " " + data.direction;
            var entity = new RoleObject()
            {
                order = "id desc",
                pagesize = 4000,
                pagenumber = 1
            };
            var _posts = RoleObjectBLL.LoadItems(entity);
            var _records = 0;
            if (entity.id == 0)
                _records = RoleObjectBLL.Count(entity);
            return Json(new { posts = _posts, records = _records });
        }

        public ActionResult getinfo()
        {
            var json = new StreamReader(Request.InputStream).ReadToEnd();
            var data = JsonConvert.DeserializeObject<List<RoleObject>>(json);
            var _posts = RoleObjectBLL.LoadItems(data[0]);
            return Json(new { posts = _posts[0] });
        }

        public ActionResult proc()
        {
            var json = new StreamReader(Request.InputStream).ReadToEnd();
            var item = JsonConvert.DeserializeObject<RoleDataObjectEntity>(json);

            if (item.id > 0)
            {
                RoleObjectBLL.Update_Record(item);
            } 
            else
            {
                item = RoleObjectBLL.Add(item);
            }
           

            return Json(new { status = "success", record = item, message = "Record processed successfully" });
        }

        public ActionResult action()
        {
            var json = new StreamReader(Request.InputStream).ReadToEnd();
            var data = JsonConvert.DeserializeObject<List<RoleObject>>(json);

            RoleObjectBLL.ProcessAction(data);

            return Json(new { status = "success", message = "Operation performed successfully" });
        }
    }
}