﻿using System.Web.Mvc;
using Jugnoon.Utility;
using Jugnoon.Settings;

namespace JgnEnt.Controllers
{
    public class categoryController : Controller
    {
        // GET: category
        public ActionResult Index(string title)
        {
            var model = new JgnEnt.models.ViewModels.Shared.CategoryViewModel();
            string _term = UtilityBLL.ReplaceHyphinWithSpace(title);
            string categoryName = UtilityBLL.UppercaseFirst(_term);

            model.title= categoryName;
            model.term = _term;
            model.urlparam = title;

            ViewBag.title= categoryName + " | " + Site_Settings.Page_Caption;
            //ViewBag.description = _description;

            return View(model);
        }
    }
}