﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using System.Web.Security;
using System.Web.SessionState;
using System.Web.Http;
using System.Web.Optimization;
using System.Threading;
using System.Globalization;
using Jugnoon.BLL;
using System.Web.Helpers;
using System.Security.Claims;

namespace JgnEnt
{
    public class Global : HttpApplication
    {
        void Application_Start(object sender, EventArgs e)
        {
            // Code that runs on application startup
            AreaRegistration.RegisterAllAreas();
            GlobalConfiguration.Configure(WebApiConfig.Register);
            RouteConfig.RegisterRoutes(RouteTable.Routes);
            BundleConfig.RegisterBundles(BundleTable.Bundles);
            AntiForgeryConfig.UniqueClaimTypeIdentifier = ClaimTypes.NameIdentifier;
        }

        void Application_End(object sender, EventArgs e)
        {
            //  Code that runs on application shutdown

        }

        void Application_Error(object sender, EventArgs e)
        {
            //////// Code that runs when an unhandled error occurs
           // Exception objErr = Server.GetLastError().GetBaseException();
           // string err = "<b>Error in: </b>" + Request.Url.ToString() + "<br /><br /><b>Error Message: </b>" + objErr.Message.ToString() + "<br /><br /><b>Stack Trace:</b><br />" + objErr.StackTrace.ToString();
            //// store error report in database
         //   ErrorLgBLL.Add(objErr.Message.ToString(), Request.Url.ToString(), objErr.StackTrace.ToString());
            ////Session("error") = err;
          //  Server.ClearError();
          //  Response.Redirect(Config.GetUrl() + "Error.aspx");
        }

        void Session_Start(object sender, EventArgs e)
        {
            // Code that runs when a new session is started
            //Response.Redirect("Website-Down.aspx");


        }

        void Session_End(object sender, EventArgs e)
        {
            // Code that runs when a session ends. 
            // Note: The Session_End event is raised only when the sessionstate mode
            // is set to InProc in the Web.config file. If session mode is set to StateServer 
            // or SQLServer, the event is not raised.

        }

        protected void Application_AcquireRequestState(object sender, EventArgs e)
        {
            // For example a cookie, but better extract it from the url
            string current_culture_name = LanguageBLLC.Return_Current_CultureName();
            CultureInfo ci = new CultureInfo(current_culture_name);
            Thread.CurrentThread.CurrentUICulture = ci;
            Thread.CurrentThread.CurrentCulture = ci;
            
        }

        protected void Application_BeginRequest(object sender, EventArgs e)
        {
            string current_culture_name = LanguageBLLC.Return_Current_CultureName();
            
            //Thread.CurrentThread.CurrentCulture = CultureInfo.CreateSpecificCulture(current_culture_name);


        }

        protected void Application_AuthenticateRequest(Object sender, EventArgs e)
        {
            
        }
    }
}
