﻿using Jugnoon.Entity;
using Jugnoon.Settings;

namespace Jugnoon.Utility
{
    public class AlbumUrlConfig
    {
        public static string PrepareUrl(AlbumDataEntity entity, long selectedimageid)
        {
            if (entity.title == null)
                entity.title = "";

            string _title = "";
            int maxium_length = Site_Settings.Maxiumum_Dynamic_Url_Length;
            if (entity.title.Length > maxium_length && maxium_length > 0)
                _title = entity.title.Substring(0, maxium_length);
            else if (entity.title.Length < 3)
                _title = "preview-album";
            else
                _title = entity.title;

            _title = UtilityBLL.ReplaceSpaceWithHyphin_v2(_title.Trim().ToLower());

            string _url = "";
            if (selectedimageid > 0)
                _url = Config.GetUrl("album/" + entity.galleryid + "/" + selectedimageid + "/" + _title);
            else
                _url = Config.GetUrl("album/" + entity.galleryid + "/" + _title);

            return _url;
        }

    }
}