﻿using Jugnoon.Entity;
using System.Linq;
using System.Text;
using JgnEnt.Framework;
using Jugnoon.EntityFramework;

namespace Jugnoon.BLL
{
    public class CategoryContentsBLL
    {
      
        public static void Add(CategoryContentsEntity entity)
        {
            using (var dbCtx = new mvcportalEntities())
            {
                var _entity = new content_categories()
                {
                    categoryid = (short)entity.categoryid,
                    contentid = entity.contentid,
                    type = (byte)entity.type
                };

                dbCtx.Entry(_entity).State = System.Data.Entity.EntityState.Added;

                DataBLL.SaveChanges(dbCtx);
            }
        }

        public static void Delete(long contentid)
        {
            using (var dbCtx = new mvcportalEntities())
            {
                var itemsToDelete = dbCtx.content_categories.Where(x => x.contentid == contentid);
                dbCtx.content_categories.RemoveRange(itemsToDelete);
                dbCtx.SaveChanges();

            }
        }

        public static string[] FetchAssociatedCategories(long contentid, int type)
        {
            var categories = new StringBuilder();
            using (var ctx = new mvcportalEntities())
            {
                var list = ctx.content_categories
                     .Where(p => p.contentid == contentid && p.type == type).ToList();

                foreach(var item in list)
                {
                    if (categories.ToString() != "")
                        categories.Append(",");
                    categories.Append(item.categoryid);
                }
            }
            
            return categories.ToString().Split(char.Parse(","));
        }
    }
}