﻿namespace Jugnoon.Entity
{

    public class ContentEntity
    {
        // query related
        private string _order = "date_added desc";
        private int _month = 0;
        private int _year =  0;
        private int _filter = 0; // filter records by views
        private int _datefilter = 0; // filter records by date
        private int _searchtype =3; // broad search by default
        private bool _iscache = false;
        private bool _loadliked = false;
        private bool _loadfavorites = false;
        private int _pagenumber = 1;
        private int _pagesize = 20;
        private string _term = "";
        private bool _issummary = true;
        private string _actionstatus = "";
        private int _status = 0;
        private string _fields = "";
        private bool _loadall = false;
        public long _excludedID = 0;
        private bool _islimit = false;
        private bool _iscount = false;
        private bool _isdropdown = false;
        private bool _ispublic = true;
        private bool _nofilter = false; // skip filter except primary key
        private string _direction = "asc";
        private bool _loadstats = false; // for loading other informations along with data, e.g count records, attach category list

        public long excludedid
        {
            set { _excludedID = value; }
            get { return _excludedID; }
        }
        // query related
        public string order
        {
            set { _order = value; }
            get { return _order; }
        }
        public string direction
        {
            set { _direction = value; }
            get { return _direction; }
        }
        public int month
        {
            set { _month = value; }
            get { return _month; }
        }

        public int year
        {
            set { _year =  value; }
            get { return _year; }
        }

        public int datefilter
        {
            set { _datefilter = value; }
            get { return _datefilter; }
        }

        public int searchtype
        {
            set { _searchtype =value; }
            get { return _searchtype; }
        }

        public bool iscache
        {
            set { _iscache = value; }
            get { return _iscache; }
        }

        public bool loadliked
        {
            set { _loadliked = value; }
            get { return _loadliked; }
        }

        public bool loadfavorites
        {
            set { _loadfavorites = value; }
            get { return _loadfavorites; }
        }

        public int filter
        {
            set { _filter = value; }
            get { return _filter; }
        }

        public int pagenumber
        {
            set { _pagenumber = value; }
            get { return _pagenumber; }
        }

        public int pagesize
        {
            set { _pagesize = value; }
            get { return _pagesize; }
        }

        public string term
        {
            set { _term = value; }
            get { return _term; }
        }

        public bool issummary
        {
            set { _issummary = value; }
            get { return _issummary; }
        }

        public string actionstatus
        {
            set { _actionstatus = value; }
            get { return _actionstatus; }
        }

        public int status
        {
            set { _status = value; }
            get { return _status; }
        }

        public string fields
        {
            set { _fields = value; }
            get { return _fields; }
        }

        public bool loadall
        {
            set { _loadall = value; }
            get { return _loadall; }
        }
        public bool islimit
        {
            set { _islimit = value; }
            get { return _islimit; }
        }
        
        public bool iscount
        {
            set { _iscount = value; }
            get { return _iscount; }
        }

        public bool isdropdown
        {
            set { _isdropdown = value; }
            get { return _isdropdown; }
        }

        public bool ispublic
        {
            set { _ispublic = value; }
            get { return _ispublic; }
        }

        public bool nofilter
        {
            set { _nofilter = value; }
            get { return _nofilter; }
        }

        public bool loadstats
        {
            set { _loadstats = value;  }
            get { return _loadstats; }
        }
    }
}