﻿using System;
namespace Jugnoon.Entity
{
    public class AlbumEntity : ContentEntity
    {
        public AlbumEntity()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        private long _galleryid = 0;
        private string _title = "";
        private string _username = "";
        private string _description = "";
        private string _tags = "";
        private int _categoryid = 0;
        private int _isdisabled = 1;
        private int _isapproved = 1;
        private int _isfeatured = 3;
        private int _isadult = 2;
        private DateTime _added_date = DateTime.Now;
        private int _total_photos = 0;
        private string _picturename = "none";
        private string _categories;
        private int _iscloud = 2;
        private int _privacy = 3;
        private string _language = "en";
        private int _type = 0;
        private int _iscomments = 2;
        private long _artistid = 0;
        public long artistid
        {
            set { _artistid = value; }
            get { return _artistid; }
        }
        public int type
        {
            set { _type = value; }
            get { return _type; }
        }
        int _mode = 0;

        public int mode
        {
            set { _mode = value; }
            get { return _mode; }
        }

        public string language
        {
            set { _language = value; }
            get { return _language; }
        }

        public string categories_str
        {
            set { _categories = value; }
            get { return _categories; }
        }

        public string[] categories
        {
            get {
                if (_categories == null)
                    _categories = "";

                 return _categories.Split(char.Parse(","));
            }
        }
        public long galleryid
        {
            set { _galleryid = value; }
            get { return _galleryid; }
        }

        public string username
        {
            set { _username = value; }
            get { return _username; }
        }

        public string title
        {
            set { _title = value; }
            get { return _title; }
        }

        public string picturename
        {
            set { _picturename = value; }
            get { return _picturename; }
        }

        public string description
        {
            set { _description = value; }
            get { return _description; }
        }

        public string tags
        {
            set { _tags = value; }
            get { return _tags; }
        }

        public int categoryid
        {
            set { _categoryid = value; }
            get { return _categoryid; }

        }

        public int isdisabled
        {
            set { _isdisabled = value; }
            get { return _isdisabled; }

        }
        public int isapproved
        {
            set { _isapproved = value; }
            get { return _isapproved; }
        }

        public int isfeatured
        {
            set { _isfeatured = value; }
            get { return _isfeatured; }
        }

        public int isadult
        {
            set { _isadult = value; }
            get { return _isadult; }

        }
       
        public DateTime added_date
        {
            set { _added_date = value; }
            get { return _added_date; }
        }

        public int total_photos
        {
            set { _total_photos = value; }
            get { return _total_photos; }

        }

        public int iscloud
        {
            set { _iscloud = value; }
            get { return _iscloud; }
        }

        public int privacy
        {
            set { _privacy = value; }
            get { return _privacy; }
        }

        public int iscomments
        {
            set { _iscomments = value; }
            get { return _iscomments; }
        }

    }
}