﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Jugnoon.Entity
{
    /* Normal Entity */
    public class AlbumDataEntity
    {
        public long galleryid { get; set; }
        public string title { get; set; }
        public string description { get; set; }
        public short categoryid { get; set; }
        public byte isdisabled { get; set; }
        public byte isapproved { get; set; }
        public byte isadult { get; set; }
        public int views { get; set; }
        public int comments { get; set; }
        public int liked { get; set; }
        public int disliked { get; set; }
        public string tags { get; set; }
        public Nullable<System.DateTime> created_at { get; set; }
        public byte iscomments { get; set; }
        public short total_photos { get; set; }
        public string username { get; set; }
        public string picturename { get; set; }
        public byte isfeatured { get; set; }
        public string categories { get; set; }
        public byte iscloud { get; set; }
        public byte privacy { get; set; }
        public string language { get; set; }
        public byte type { get; set; }
        public byte mode { get; set; }
        public string authkey { get; set; }
        public int favorites { get; set; }
        public byte customcover { get; set; }
        public int total_rating { get; set; }
        public float ratings { get; set; }
        public float avg_rating { get; set; }
        public long? artistid { get; set; }

        // internal use and backward compatibility
        public bool isselected { get; set; }
        public string img_url { get; set; }
        public string url { get; set; }
        public string author_url { get; set; }
        public string customize_date { get; set; }
        public string shorttitle { get; set; }

        public UserDataEntity author { get; set; }
        public List<VideoDataEntity> videos { get; set; }
    }


}