﻿using System;
using System.Collections.Generic;

namespace Jugnoon.Entity
{
    public class PhotoDataEntity
    {
        public long imageid { get; set; }
        public string username { get; set; }
        public string filename { get; set; }
        public short categoryid { get; set; }
        public string caption { get; set; }
        public string description { get; set; }
        public byte isdisabled { get; set; }
        public byte isadult { get; set; }
        public int views { get; set; }
        public int comments { get; set; }
        public int total_ratings { get; set; }
        public float ratings { get; set; }
        public float avg_rating { get; set; }
        public string tags { get; set; }
        public Nullable<System.DateTime> created_at { get; set; }
        public int favorites { get; set; }
        public byte iscomments { get; set; }
        public byte isapproved { get; set; }
        public long galleryid { get; set; }
        public int liked { get; set; }
        public int disliked { get; set; }
        public string categories { get; set; }
        public byte iswall { get; set; }
        public byte editorchoice { get; set; }
        public byte iscloud { get; set; }
        public string language { get; set; }
        public byte mode { get; set; }
        public long nextid { get; set; }
        public long previd { get; set; }
        public byte privacy { get; set; }
        public string authkey { get; set; }

        public AlbumDataEntity album { get; set; }
        public UserDataEntity author { get; set; }
        // internal use only (backward compatibility with older system)
        public string url { get; set; }
        public bool isselected { get; set; }
        public string gallerytitle { get; set; }
        public string customize_date { get; set; }
        public string shorttitle { get; set; }
    }


    /* Uploader Entity */
    public class PhotoUploaderEntity
    {
        public string username { get; set; }
        public string title { get; set; }
        public string description { get; set; }
        public string tags { get; set; }
        public string categories { get; set; }
        public int privacy { get; set; }
        public List<PhotoUploaderFileEntity> files { get; set; }
    }

    public class PhotoUploaderFileEntity
    {
        public string caption { get; set; }
        public string description { get; set; }
        public string filename { get; set; }
    }

}