﻿using System;
using System.Text;

namespace Jugnoon.Utility
{
    public enum AlertTypes
    {
        // Error
        Error = 0,
        // Success
        Success = 1,
        // Warning
        Warning = 2,
        // Info
        Info = 3
    }

    public class Alerts
    {
        // GENERATE BOOTSTRAP Alerts
        public static string Prepare(string Message, AlertTypes Types)
        {
            var str = new StringBuilder();
            string alertCss = "alert-danger";
            switch ((int)Types)
            {
                case 0:
                    // error
                    alertCss = "alert-danger";
                    break;
                case 1:
                    // success
                    alertCss = "alert-success";
                    break;
                case 2:
                    // warning
                    alertCss = "alert-warning";
                    break;
                case 3:
                    // info
                    alertCss = "alert-info";
                    break;
            }
            str.Append("<div class=\"alert " + alertCss + "\">\n");
            str.Append(Message);
            str.Append("</div>");

            return str.ToString();
        }

        internal static string Prepare(string v1, string v2, int v3)
        {
            throw new NotImplementedException();
        }
    }
}