using System.IO;
using Jugnoon.Settings;
namespace Jugnoon.Utility
{

    public class Directory_Process
    {
        public Directory_Process()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        public static void CreateRequiredDirectories(string strPath)
        {
            Directory.CreateDirectory(strPath);
            int isVideos = Site_Settings.Feature_Videos;
            int isAudio = Site_Settings.Feature_Audio;
            if (isVideos == 1 || isAudio == 1)
            {
                // create directory to store source audio or video
                Directory.CreateDirectory(strPath + "\\default");
            }
            if (isVideos == 1)
            {
                // create directory to store videos
                Directory.CreateDirectory(strPath + "\\flv");
                // create directory to store media thumbs
                Directory.CreateDirectory(strPath + "\\thumbs");
            }
            if (isAudio == 1)
            {
                // create directory to store audio
                Directory.CreateDirectory(strPath + "\\mp3");
            }
            // create directory to store profile and normal photos    
            Directory.CreateDirectory(strPath + "\\photos");
            Directory.CreateDirectory(strPath + "\\photos\\thumbs");
            Directory.CreateDirectory(strPath + "\\photos\\midthumbs");

            if (Site_Settings.Feature_Groups == 1)
            {
                // create directory to store group avators
                Directory.CreateDirectory(strPath + "\\groups");
                Directory.CreateDirectory(strPath + "\\groups\\thumbs");
            }

        }

        public static void CreatePhotoDirectories(string strPath)
        {
            if (!Directory.Exists(strPath))
                Directory.CreateDirectory(strPath);
            if (!Directory.Exists(strPath + "\\midthumbs"))
                Directory.CreateDirectory(strPath + "\\midthumbs");
            if (!Directory.Exists(strPath + "\\thumbs"))
                Directory.CreateDirectory(strPath + "\\thumbs");
        }

        // Create directory to store blog optional photos
        public static void CreateBlogDirectory(string strPath)
        {
            if (!Directory.Exists(strPath))
                Directory.CreateDirectory(strPath);
            if (!Directory.Exists(strPath + "\\thumbs\\"))
                Directory.CreateDirectory(strPath + "\\medium\\");
        }
    }
}