﻿
using Mandrill;
using Mandrill.Models;
using Mandrill.Requests.Messages;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Jugnoon.Mandrill
{
    public class EmailProcess
    {
        public static void SendMail(string fromEmail, string fromName, List<string> toMails, string subject, string htmlBody, bool async = false)
        {
            try
            {
                var api = new MandrillApi(Config.Key);

                var email = new EmailMessage()
                {
                    FromEmail = fromEmail,
                    FromName = fromName,
                    Subject = subject,
                    Html = htmlBody
                };
                var to = toMails.Select(mailTo => new EmailAddress(mailTo)).ToList();
                email.To = to;

                // Send email
                var smReq = new SendMessageRequest(email);
                var output = api.SendMessage(smReq).Result;
            }
            catch(Exception ex)
            {
                var message = ex.Message;
            }
           
        }

    }
}