﻿using System;
using System.Linq;
using JgnEnt.Framework;
using Jugnoon.EntityFramework;

namespace Jugnoon.BLL
{
    public class TokenBLL
    {
        public static bool isTokenEnabled { get { return true; } }

        public static string Add()
        {
            string Token = Guid.NewGuid().ToString();

            using (var dbCtx = new mvcportalEntities())
            {
                var _entity = new vsk_tokens()
                {
                    token = Token,
                    added_date = DateTime.Now
                };

                dbCtx.Entry(_entity).State = System.Data.Entity.EntityState.Added;

                DataBLL.SaveChanges(dbCtx);
                
            }

            return Token.ToString();
        }

        public static bool Delete(string Token)
        {
            using (var dbCtx = new mvcportalEntities())
            {
                var entity = new vsk_tokens { token = Token };
                dbCtx.vsk_tokens.Attach(entity);
                dbCtx.vsk_tokens.Remove(entity);
                dbCtx.SaveChanges();
            }

            return true;
        }

        public static bool Validate(string Token)
        {
            bool flag = false;
            using (var ctx = new mvcportalEntities())
            {
                if (ctx.vsk_tokens.Where(p => p.token == Token).Count() > 0)
                    flag = true;
            }
            return flag;
        }
    }
}