﻿using System;
namespace Jugnoon.Entity
{
    public class VideoEntity : ContentEntity
    {
        public VideoEntity()
        { }

        long _videoid = 0;
        int? _categoryid = 0;
        string _categoryname = "";
        string _categories = ""; 
        string _username = "";
        string _title = "";
        string _tags = "";
        int _isenabled = 1;
        int _isprivate = 0;
        int _iscomments = 2; // enable disable comments for video
        int _isratings = 0; // enable disable rating for video
        int _isfeatured = 3;
        int _ispublished = 1;
        int _isreviewed = 1;
        int _errorcode = 0;
        int _isexternal = 3;
        string _embed_script = "";
        int _isadult = 2;
        int _type = 0; // video or audio
        DateTime _date_added = DateTime.Now;
        string _picturename = "none";
        int _mode = 0;
        long _galleryid = 0;
        private bool _loadPlayList = false;
        private int _playlistid = 0;
        private long _maxid = 0;
        private long _minid = 0;

        private double _price = 0;
        private string _actors = "";
        private string _actresses = "";

        private byte _movietype = 2; // 0: videos, 1: movies, 2: all
        public byte movietype
        {
            get { return _movietype; }
            set { _movietype = value; }
        }

        public double price
        {
            get { return _price; }
            set { _price = value; }
        }

        public string actors
        {
            get { return _actors; }
            set { _actors = value; }
        }

        public string actresses
        {
            get { return _actresses; }
            set { _actresses = value; }
        }

        public bool loadPlayList
        {
            get { return _loadPlayList; }
            set { _loadPlayList = value; }
        }
        public int playlistid
        {
            get { return _playlistid; }
            set { _playlistid = value; }
        }
        public long maxid
        {
            get { return _maxid; }
            set { _maxid = value; }
        }
        public long minid
        {
            get { return _minid; }
            set { _minid = value; }
        }
             
        public int mode
        {
            set { _mode = value; }
            get { return _mode; }
        }

        int _istagreviewed =  2;
        private string _language = "en";
        public string language
        {
            set { _language = value; }
            get { return _language; }
        }
        public long videoid
        {
            set { _videoid = value; }
            get { return _videoid; }
        }

        public int? categoryid
        {
            set { _categoryid = value; }
            get { return _categoryid; }
        }
        public string categoryname
        {
            set { _categoryname = value; }
            get { return _categoryname; }
        }

        public string categories_str
        {
            set { _categories = value; }
            get { return _categories; }
        }

        public string[] categories
        {
            get
            {
                if (_categories == null)
                    _categories = "";

                return _categories.Split(char.Parse(","));
            }
        }

        public string username
        {
            set { _username = value; }
            get { return _username; }
        }

        public string title
        {
            set { _title = value; }
            get { return _title; }
        }
        
        public string tags
        {
            set { _tags = value; }
            get { return _tags; }
        }
      
        public int isenabled
        {
            set { _isenabled = value; }
            get { return _isenabled; }
        }
        public int isprivate
        {
            set { _isprivate = value; }
            get { return _isprivate; }
        }
        public int iscomments
        {
            set { _iscomments = value; }
            get { return _iscomments; }
        }

        public int israting
        {
            set { _isratings = value; }
            get { return _isratings; }
        }
        
        public int isfeatured
        {
            set { _isfeatured = value; }
            get { return _isfeatured; }
        }
      
        public int ispublished
        {
            set { _ispublished = value; }
            get { return _ispublished; }
        }

        public int isreviewed
        {
            set { _isreviewed = value; }
            get { return _isreviewed; }
        }
      
        public int errorcode
        {
            set { _errorcode = value; }
            get { return _errorcode; }
        }
        public DateTime date_added
        {
            set { _date_added = value; }
            get { return _date_added; }
        }

        public int isexternal
        {
            set { _isexternal = value; }
            get { return _isexternal; }
        }

        public string embed_script
        {
            set { _embed_script = value; }
            get { return _embed_script; }
        }
   
        public int isadult
        {
            set { _isadult = value; }
            get { return _isadult; }
        }

        public string picturename
        {
            set { _picturename = value; }
            get { return _picturename; }
        }

        public int type
        {
            set { _type = value; }
            get { return _type; }
        }

        public int istagsreviewed
        {
            set { _istagreviewed = value; }
            get { return _istagreviewed; }
        }

        public long galleryid
        {
            set { _galleryid = value; }
            get { return _galleryid; }
        }
  
    }
}