﻿using Jugnoon.Entity;
using JgnEnt.models.ViewModels.videos.Player;
using JgnEnt.models.ViewModels.Shared;
using Jugnoon.Utility;

namespace JgnEnt.models.ViewModels.videos
{
    public class VideoViewModel
    {
        public VideoDataEntity Data { get; set; }

        public VideoJsModelView Player { get; set; }

        public ActionViewModel Action { get; set; }

        public CommentViewModel Comments { get; set; }

        public InfoViewModel Info { get; set; }

        public string PreviewUrl { get; set; }

        public string DetailMessage { get; set; }

        public bool isAllowed { get; set; }

        public string Message { get; set; }

        public AlertTypes AlertType { get; set; }
    }

    public class VideoFrameViewModel
    {
        public VideoDataEntity Data { get; set; }

        public VideoJsModelView Player { get; set; }

        public bool isAllowed { get; set; }

        public string DetailMessage { get; set; }

        public string Message { get; set; }

        public AlertTypes AlertType { get; set; }
    }

    public class VideoPreviewViewModel
    {
        public bool isExist { get; set; }
        public string previewUrl { get; set; }
    }
}