﻿
namespace Jugnoon.Scripts
{
    public class ListItems
    {
        private ItemType _itemtype = ItemType.Div; // 0: div 1: a link
        private ListType _ListType = ListType.Grid; // 0: grid 1: list
        private bool _isHover = false;

        private string _authorurl = "";
        private string _previewurl = "";
        private bool _isAdmin = false;
        private string _colwidth = "col-md-4";
        private bool _showTitle = true;
        private bool _showDuraction = false;
        private bool _showDate = false;
        private bool _showUser = false;
        private bool _showRating = false;
        private bool _showDescription = false;
        private bool _showCategories = false;
        private bool _showTags = false;
        private bool _showGender = false;
        private bool _showViews = false;
        private bool _showDownloads = false;
        private bool _showUserBLL = false; // for group purpose
        private bool _showPics = false;
        private bool _showLocationInfo = false;
        private int _TitleLength = 0;
        private int _descriptionlength = 0;
        private int _categoryLenth = 0; // no of categories to display
        private int _tagLength = 0; // no of tags to display
        private bool _isDetail = false; // for article purpose
        private bool _isMyAccount = false;
        private string _editUrl = "";
        private int _dateFormat = 3; //  // 0:  21 May, 2011, 1: May 30th, 2011, 2: May 11 2011, 3: 2 days ago, 4: Today 10:54 PM
        private bool _photoonly = false;
        private bool _manageview = false; // for myaccount / admin list where checkbox needed
        private bool _simpleview = false; // generate simple output (e.g member listing)
        private bool _isauthor = false; // check whether user is author of content
        private int _viewtype = 0; // 0: normal, 1: light (for left / right navigation)
        private bool _isresize = false; // resize image
        private string _size = "800x600"; // resize size
        private bool _sliderview = false; // render item in slider mode
        private string _container_css = "";
        private string _path = ""; // some urls require customize paths like categories for different items
        
        public bool _showAlbumPreview = false;

        public bool showAlbumPreview
        {
            get { return _showAlbumPreview; }
            set { _showAlbumPreview = value; }
        }

        public string Path
        {
            get { return _path; }
            set { _path = value; }
        }

        public bool isHover
        {
            get { return _isHover; }
            set { _isHover = value; }
        }
        public ItemType ItemType
        {
            get { return _itemtype; }
            set { _itemtype = value; }
        }

        public ListType ListType
        {
            get { return _ListType; }
            set { _ListType = value; }
        }

        public string AuthorUrl
        {
            get { return _authorurl; }
            set { _authorurl = value; }
        }
        public string PreviewUrl
        {
            get { return _previewurl; }
            set { _previewurl = value; }
        }

        public bool isAdmin
        {
            get { return _isAdmin; }
            set { _isAdmin = value; }
        }
        public string ColWidth
        {
            get { return _colwidth; }
            set { _colwidth = value; }
        }

        public bool showTitle
        {
            get { return _showTitle; }
            set { _showTitle = value; }
        }

        public bool showGender
        {
            get { return _showGender; }
            set { _showGender = value; }
        }
        

        public bool showDetail
        {
            get { return _isDetail; }
            set { _isDetail = value; }
        }
        public bool showUserBLL
        {
            get { return _showUserBLL; }
            set { _showUserBLL = value; }
        }
        

        public bool showDuration
        {
            get { return _showDuraction; }
            set { _showDuraction = value; }
        }
        public bool showDate
        {
            get { return _showDate; }
            set { _showDate = value; }
        }
        public bool showUser
        {
            get { return _showUser; }
            set { _showUser = value; }
        }
        public bool showRating  
        {
            get { return _showRating; }
            set { _showRating = value; }
        }
        public bool showDescription
        {
            get { return _showDescription; }
            set { _showDescription = value; }
        }
        public bool showCategories
        {
            get { return _showCategories; }
            set { _showCategories = value; }
        }
        public bool showTags
        {
            get { return _showTags; }
            set { _showTags = value; }
        }

        public bool showViews
        {
            get { return _showViews; }
            set { _showViews = value; }
        }

        public bool showDownloads
        {
            get { return _showDownloads; }
            set { _showDownloads = value; }
        }

        public bool showPics
        {
            get { return _showPics; }
            set { _showPics = value; }
        }

        public bool showLocationInfo
        {
            get { return _showLocationInfo;  }
            set { _showLocationInfo = value; }
        }
        public int TitleLength
        {
            get { return _TitleLength; }
            set { _TitleLength = value; }
        }
        public int descriptionlength
        {
            get { return _descriptionlength; }
            set { _descriptionlength = value; }
        }

        public int CategoryLength
        {
            get { return _categoryLenth; }
            set { _categoryLenth = value; }
        }

        public int TagLength
        {
            get { return _tagLength; }
            set { _tagLength = value; }
        }

        public bool isMyAccount
        {
            get { return _isMyAccount; }
            set { _isMyAccount = value; }
        }
        public string editUrl
        {
            get { return _editUrl; }
            set { _editUrl = value; }
        }
        public int DateFormat
        {
            get { return _dateFormat; }
            set { _dateFormat = value; }
        }
        public bool PhotoOnly
        {
            get { return _photoonly; }
            set { _photoonly = value; }
        }
        public bool ManageView
        {
            get { return _manageview; }
            set { _manageview = value; }
        }
        public bool SimpleView
        {
            get { return _simpleview; }
            set { _simpleview = value; }
        }
        public bool isAuthor
        {
            get { return _isauthor; }
            set { _isauthor = value; }
        }

        public int viewType
        {
            get { return _viewtype; }
            set { _viewtype = value; }
        }

        public bool isresize
        {
            get { return _isresize; }
            set { _isresize = value; }
        }

        public string size
        {
            get { return _size; }
            set { _size = value; }
        }

        public bool SliderView
        {
            get { return _sliderview; }
            set { _sliderview = value; }
        }

        public string ContainerCSS
        {
            get { return _container_css; }
            set { _container_css = value; }
        }
    }

    public enum ItemType
    {
        Div = 0,
        Link = 1
    }

    public enum ListType
    {
        Grid = 0,
        List = 1,
        Links = 2
    }
}